using UnityEngine;
using System.Collections;

public class Player {
	public enum Side {
		LIGHT,
		DARK
	}
	
	private GameObject throneObject;
	
	private Side side;
	private string name;
	private bool human;
	private GridPos leaderObjective;
	
	public Player(Side s, string n, bool h) {
		side = s;
		name = n;
		human = h;
	}
	
	public Side getSide() {
		return side;
	}
	
	public string getName() {
		return name;
	}
	
	public bool isHuman() {
		return human;
	}
	
	public void setLeaderObjective(GridPos lo) {
		leaderObjective = lo;
		
		if (throneObject == null) {
			throneObject = (GameObject)MonoBehaviour.Instantiate(GameAssets.get().getThrone());
		}
		
		throneObject.transform.position = leaderObjective.getWorldPosition();
	}
	
	public GridPos getLeaderObjective() {
		return leaderObjective;
	}
}
